=== debian/changelog ===
netdata (1.33.1-1ubuntu1) jammy; urgency=medium

  * d/p/ubuntu/0001-configure.ac-Link-unconditionally-against-libatomic-.patch:
    Fix the build on riscv64 (LP: #1962837)

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Thu, 10 Mar 2022 10:46:38 +0100

netdata (1.33.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.33.1.
  * Updating build-workarounds in rules for new upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Feb 2022 04:26:31 +0100

netdata (1.33.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.33.0.
  * Refreshing use-python3.patch.
  * Updating copyright for 2022.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 26 Jan 2022 19:05:54 +0100

netdata (1.32.1-2) sid; urgency=medium

  * Uploading to sid.
  * Removing old hddtemp suggests (Closes: #1001953).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Dec 2021 16:26:37 +0100

netdata (1.32.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.32.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Dec 2021 17:24:10 +0100

netdata (1.32.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.32.0.
  * Temporarily disabling prometheus-remote-write backend until its
    dependencies are figured out.
  * Updating moving of mongodb plugin handling in rules for current
    netdata upstream.
  * Adding handling for removing newly introduced unused files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Dec 2021 07:15:16 +0100

netdata (1.31.0-4) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 10:38:19 +0200

netdata (1.31.0-3) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 15 Aug 2021 17:42:57 +0200

netdata (1.31.0-2) experimental; urgency=medium

  * Uploading to experimental.
  * Removing obsolete settings for newer systemd versions (Closes:
    #989887).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jul 2021 15:38:54 +0200

netdata (1.31.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.31.0.
  * Temporarily removing web patches for now, they need to be redone
    later.
  * Creating empty mqtt_websockets directory to workaround git.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 19 May 2021 14:33:44 +0200

netdata (1.30.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.30.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Apr 2021 18:30:50 +0200

netdata (1.30.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.30.0.
  * Copying mqtt_websockets directory into build directories too.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 31 Mar 2021 14:59:34 +0200
