## netdata 1.36.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -102,20 +102,7 @@
 # -----------------------------------------------------------------------------
 # Judy General purpose dynamic array
 
-# pkgconfig not working in Ubuntu, why? upstream package broken?
-#pkg_check_modules(JUDY REQUIRED Judy)
-#set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${JUDY_CFLAGS_OTHER})
-#set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${JUDY_LIBRARIES})
-#set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${JUDY_INCLUDE_DIRS})
-set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} "-lJudy")
-set(CMAKE_REQUIRED_LIBRARIES "Judy")
-include(CheckSymbolExists)
-check_symbol_exists("JudyLLast" "Judy.h" HAVE_JUDY)
-IF(HAVE_JUDY)
-    message(STATUS "Judy library found")
-ELSE()
-    message( FATAL_ERROR "libJudy required but not found. Try installing 'libjudy-dev' or 'Judy-devel'." )
-ENDIF()
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} judy)
 
 # -----------------------------------------------------------------------------
 # OpenSSL Cryptography and SSL/TLS Toolkit
@@ -229,6 +216,15 @@
 # ${CURL_LIBRARIES}
 # ${CURL_CFLAGS_OTHER}
 # ${CURL_INCLUDE_DIRS}
+
+# -----------------------------------------------------------------------------
+# Detect libcups
+
+pkg_check_modules(CURL libcups)
+# later we use:
+# ${CUPS_LIBRARIES}
+# ${CUPS_CFLAGS_OTHER}
+# ${CUPS_INCLUDE_DIRS}
 
 # -----------------------------------------------------------------------------
 # Detect libaws-c-common
@@ -353,19 +349,23 @@
     set(ENABLE_ML False)
 ENDIF()
 
-# -----------------------------------------------------------------------------
-# netdata files
-
-set(LIBNETDATA_FILES
-        libnetdata/adaptive_resortable_list/adaptive_resortable_list.c
-        libnetdata/adaptive_resortable_list/adaptive_resortable_list.h
-        libnetdata/config/appconfig.c
-        libnetdata/config/appconfig.h
-        libnetdata/avl/avl.c
-        libnetdata/avl/avl.h
-        libnetdata/buffer/buffer.c
-        libnetdata/buffer/buffer.h
-        libnetdata/clocks/clocks.c
-        libnetdata/clocks/clocks.h
-        libnetdata/completion/completion.c
-        libnetdata/completion/completion.h
+set(LIBJUDY_SOURCES
+        libnetdata/libjudy/src/Judy.h
+        libnetdata/libjudy/src/JudyCommon/JudyMalloc.c
+        libnetdata/libjudy/src/JudyCommon/JudyPrivate.h
+        libnetdata/libjudy/src/JudyCommon/JudyPrivate1L.h
+        libnetdata/libjudy/src/JudyCommon/JudyPrivateBranch.h
+        libnetdata/libjudy/src/JudyL/JudyL.h
+        libnetdata/libjudy/src/JudyL/JudyLByCount.c
+        libnetdata/libjudy/src/JudyL/JudyLCascade.c
+        libnetdata/libjudy/src/JudyL/JudyLCount.c
+        libnetdata/libjudy/src/JudyL/JudyLCreateBranch.c
+        libnetdata/libjudy/src/JudyL/JudyLDecascade.c
+        libnetdata/libjudy/src/JudyL/JudyLDel.c
+        libnetdata/libjudy/src/JudyL/JudyLFirst.c
+        libnetdata/libjudy/src/JudyL/JudyLFreeArray.c
+        libnetdata/libjudy/src/JudyL/j__udyLGet.c
+        libnetdata/libjudy/src/JudyL/JudyLGet.c
+        libnetdata/libjudy/src/JudyL/JudyLInsArray.c
+        libnetdata/libjudy/src/JudyL/JudyLIns.c
+        libnetdata/libjudy/src/JudyL/JudyLInsertBranch.c
