=== debian/changelog ===
netdata (1.36.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.36.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 17 Aug 2022 08:39:00 +0200

netdata (1.36.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.36.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 12 Aug 2022 09:26:56 +0200

netdata (1.35.1-2) sid; urgency=medium

  * Uploading to sid.
  * Updating http links to https in copyright.
  * Removing csp in apache2 config to not interfere with csp set
    elsewhere.
  * Using 127.0.0.1 instead of localhost in apache2 config to work on
    ipv6-only systems too.
  * Correcting rewrite rule in apache2 config to be protocol agnostic.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 21 Jul 2022 16:35:10 +0200

netdata (1.35.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.35.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 10 Jun 2022 19:49:26 +0200

netdata (1.35.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.35.0.
  * Updating packaging for upstreams nodejs removal.
  * Updating to standards version 4.6.1.
  * Passing --name to start-stop-daemon in netdata initscript to fix
    process identification issues with openrc, thanks to Gian Piero
    Carrubba <debian-bts@rm-rf.it> (Closes: #1012395).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 09 Jun 2022 06:56:58 +0200

netdata (1.34.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.34.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 15 Apr 2022 22:03:54 +0200

netdata (1.34.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.34.0.
  * Updating rules for renamed configure options.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 14 Apr 2022 20:12:19 +0200
