=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: netdata
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Uploaders:
  Lennart Weller <lhw@ring0.de>,
  Federico Ceratto <federico@debian.org>,
@@ -25,7 +24,7 @@
  uuid-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/netdata/netdata
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
@@ -39,8 +38,11 @@
  netdata-web,
  ${misc:Depends},
 Recommends:
- netdata-plugins-nodejs,
  netdata-plugins-python,
+Breaks:
+  netdata-plugins-nodejs,
+Replaces:
+  netdata-plugins-nodejs,
 Description: real-time performance monitoring (metapackage)
  Netdata is distributed, real-time, performance and health monitoring for
  systems and applications. It provides insights of everything happening on the
@@ -171,27 +173,6 @@
  .
  This package contains the plugins using bash.
 
-Package: netdata-plugins-nodejs
-Section: net
-Architecture: all
-Multi-Arch: foreign
-Depends:
- netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
- ${misc:Depends},
-Recommends:
- nodejs,
-Provides:
- netdata-plugins,
-Enhances:
- netdata-core,
- netdata-core-no-sse,
-Description: real-time performance monitoring (nodejs plugins)
- Netdata is distributed, real-time, performance and health monitoring for
- systems and applications. It provides insights of everything happening on the
- systems it runs using interactive web dashboards.
- .
- This package contains the plugins using nodejs.
-
 Package: netdata-plugins-python
 Section: net
 Architecture: all
