=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	dh_auto_configure -B build-core -- --libdir=/usr/lib --libexecdir=/usr/lib \
 		--disable-cloud \
 		--enable-x86-sse \
-		--disable-backend-prometheus-remote-write \
+		--disable-exporting-prometheus-remote-write \
 		--enable-dbengine \
 		--enable-https \
 		--enable-plugin-cups \
@@ -67,7 +67,7 @@
 	dh_auto_configure -B build-core-no-sse -- --libdir=/usr/lib --libexecdir=/usr/lib \
 		--disable-cloud \
 		--disable-x86-sse \
-		--disable-backend-prometheus-remote-write \
+		--disable-exporting-prometheus-remote-write \
 		--enable-dbengine \
 		--enable-https \
 		--enable-plugin-cups \
@@ -149,13 +149,6 @@
 		   $(TOP)-core/usr/lib/netdata/plugins.d; \
 	done
 
-	mkdir -p $(TOP)-plugins-nodejs/usr/lib/netdata/plugins.d
-	for plugin in node.d.plugin; \
-	do \
-		mv $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
-		   $(TOP)-plugins-nodejs/usr/lib/netdata/plugins.d; \
-	done
-
 	mkdir -p $(TOP)-plugins-python/usr/lib/netdata/plugins.d
 	for plugin in python.d.plugin; \
 	do \
