=== debian/changelog ===
netdata (1.37.1-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Disabling to send emails by default as netdata sends a lot of mails
    otherwise using a (by default) unconfigured mailsetup.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 17 Jan 2023 18:56:13 +0100

netdata (1.37.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.37.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 05 Dec 2022 17:29:48 +0100

netdata (1.37.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.37.0.
  * Excluding newly introduced distribution specific files that are only
    needed when installing from source.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 30 Nov 2022 19:47:13 +0100
