=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  uuid-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/netdata/netdata
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
