=== debian/rules ===
--- 
+++ 
@@ -89,6 +89,9 @@
 
 	# Removing unused files
 	rm -f debian/tmp/etc/netdata/.install-type
+	rm -f debian/tmp/usr/lib/netdata/install-service.sh
+	rm -f debian/tmp/usr/lib/netdata/system/netdata*
+	rmdir debian/tmp/usr/lib/netdata/system
 
 	# Building without aws kinesis backend (needs aws sdk)
 	rm -f debian/tmp/usr/lib/netdata/conf.d/aws_kinesis.conf
