=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://github.com/netdata/netdata/releases/ download/v(?:\d\S*)/netdata-v(\d\S*)\.(?:tar\.(?:gz|xz))
